﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.Office.Interop.Excel;


namespace PivotSample
{
    public partial class Form1 : Form
    {
        DataSet sourceDataSet,sourceDataSet1;
        Steema.TeeChart.Styles.Bar barSeries1,barSeries2;
        Steema.TeeChart.Tools.Annotation an1, an2, an3;
     //   Steema.TeeChart.Axis axis1, axis2, axis3;
        //Steema.TeeChart.Data.CrossTabSource crossTabSource1,crossTabSource2;
        Steema.TeeChart.Tools.DataTableTool dataTool;
        System.Data.DataTable dt;
        private int OMarginBottom;
        public Form1()
        {
            InitializeComponent();
            comboBox1.Items.AddRange(new object[] { "Count", "Sum", "Min", "Max", "Product" });
            comboBox1.SelectedIndex = 1;
            InitializeChart();
        }

        private void InitializeChart()
        {
           tChart1.Dock = DockStyle.Fill;
            barSeries1 = new Steema.TeeChart.Styles.Bar(tChart1.Chart);
            barSeries2 = new Steema.TeeChart.Styles.Bar(tChart1.Chart);
            sourceDataSet = new DataSet();

            LoadData();
            barSeries1.DataSource = sourceDataSet;
            barSeries1.CheckDataSource();
            barSeries1.Title = "OUT_QTY";
            barSeries1.XValues.DataMember = "KEY";
            barSeries1.YValues.DataMember = "OUT_QTY";
            barSeries1.LabelMember = "LINE_CD";

            barSeries2.DataSource = sourceDataSet;
            barSeries2.CheckDataSource();
            barSeries2.Title = "PLAN_QTY";
            barSeries2.XValues.DataMember = "Key";
            barSeries2.YValues.DataMember = "PLAN_QTY";
            barSeries2.LabelMember = "LINE_CD";

           tChart1.Axes.Bottom.Labels.Angle = 90;      
            barSeries1.Marks.Visible = false;
            barSeries2.Marks.Visible = false;

            OMarginBottom = (int)tChart1.Panel.MarginBottom;
            tChart1.AfterDraw +=new Steema.TeeChart.PaintChartEventHandler(tChart1_AfterDraw);
            tChart1.Draw();
         
        }

        private void tChart1_AfterDraw(object sender, Steema.TeeChart.Drawing.Graphics3D g)
        {
            int x,y;
            x= tChart1.Axes.Bottom.Position + tChart1.Axes.Bottom.MaxLabelsWidth();
            y= (int)(tChart1.Axes.Bottom.IEndPos - tChart1.Axes.Bottom.IStartPos); 
            g.TextAlign = StringAlignment.Far;
            g.TextOut(y/3,x+15,"Y2006");
            g.TextOut((y / 3) * 2, x+15 , "Y2007");
            g.TextOut(y, x+15 , "Y2008");
            tChart1.Panel.MarginBottom = (tChart1.Axes.Bottom.MaxLabelsWidth() / 2) - OMarginBottom;          
        }
        private void LoadData()
        {
            sourceDataSet.ReadXmlSchema(@"J:\Sandra\Projects\PivotSample\PivotSample\OrdersDS2.xsd");
            sourceDataSet.ReadXml(@"J:\Sandra\Projects\PivotSample\PivotSample\orders2.xml");
        }
        private void button1_Click(object sender, System.EventArgs e)
        {
          
            tChart1.ShowEditor();
        }
     
    }
}

       